package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 处理状态(1.未处理,2.已处理)枚举类
*
* @author zxfei
*/
public enum FeedProcessStatusEnum {
    未开始(0, "未开始"),
    进行中(1, "进行中"),
    已完成(2, "已完成");
    private Integer value;
    private String desc;

    FeedProcessStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static FeedProcessStatusEnum getByValue(Integer value) {
        for (FeedProcessStatusEnum checkStatusEnum : FeedProcessStatusEnum.values()) {
            if (checkStatusEnum.getValue() == value) {
                return checkStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (FeedProcessStatusEnum item : FeedProcessStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}